// dragDrop.js
// 🎯 Gestion du Drag & Drop avec Event Delegation
document.addEventListener("dragstart", function (event) {
    if (event.target.classList.contains("item")) {
        event.dataTransfer.setData("text/plain", event.target.dataset.name);
    }
});

function handleDrop(event) {
    event.preventDefault();
    const itemName = event.dataTransfer.getData("text/plain");
    const targetTierRow = event.target.closest(".tier-row");

    if (!targetTierRow) return;

    const targetTierName = targetTierRow.dataset.tier;
    const targetTier = initTiers.find(t => t.name === targetTierName);

    if (!targetTier) return;

    let item = otherItems.find(i => i.name === itemName);
    let originTier = null;

    if (!item) {
        initTiers.forEach(tier => {
            const foundIndex = tier.items.findIndex(i => i.name === itemName);
            if (foundIndex !== -1) {
                originTier = tier;
                item = tier.items.splice(foundIndex, 1)[0];
            }
        });
    }

    if (item && !targetTier.items.some(i => i.name === item.name)) {
        targetTier.items.push(item);
    }

    renderTiers();
    renderItems();
}

container.addEventListener("drop", handleDrop);
container.addEventListener("dragover", function (event) {
    event.preventDefault();
});
