// main.js
document.addEventListener("DOMContentLoaded", () => {
    const container = document.getElementById("tiers-container");
    const itemsList = document.getElementById("items-list");
    const addItemBtn = document.getElementById("add-item-btn");

    renderTiers(container);
    renderItems(itemsList);

    // 📦 Ajout d'un item via bouton
    addItemBtn.addEventListener("click", () => addItem("Nouvel Item", "https://picsum.photos/50", itemsList));

    // 📌 Gestion des événements des boutons avec délégation
    container.addEventListener("click", function (event) {
        const tierRow = event.target.closest(".tier-row");
        if (!tierRow) return;

        const index = parseInt(tierRow.dataset.index);

        if (event.target.classList.contains("tier-title")) {
            editTitle(event.target, index);
        }

        if (event.target.closest(".move-up")) {
            moveTier(index, "up");
        } else if (event.target.closest(".move-down")) {
            moveTier(index, "down");
        }
    });
});
